<p align="center">
 <img src="https://rawgit.com/Niklan/Glisseo/8.x-1.x/logo.svg" align="center" alt="Glisseo Logo">

 <p align="center">
   Base theme for Drupal with starterkit.
 </p>
</p>

## Quick start

1. Download and place the glisseo folder to /themes
2. Copy STARTER theme and place it in /themes as well.
3. Rename STARTER folder to your future theme name, f.e. 'mytheme'.
4. Replace every uppercase filenames in the root of your theme with its name. Also, don't forget to replace it inside YAML files when it needed.
5. Rename STARTER.**starter**.yml to STARTER.**info**.yml.

## What's this

*  [SCSS](https://sass-lang.com/) and (optional) [PostCSS](https://postcss.org/)
*  (optional) Configured [stylelint](https://stylelint.io/) for control coding standards across the project.
*  (optional) [Lost Grid](http://lostgrid.org) for creating website much faster with flexible grids.
*  (optional) [Material Design Icons](https://materialdesignicons.com/).
* [ITCSS architecture](https://github.com/ahmadajmi/awesome-itcss) for styles.
* [BEM methodology](https://bem.info/) for template class naming.

\* _(optional)_ features enabled by default but can be removed from the project without any consequences.

Due to the theme structure, where all parts are separated from each other, you can disable most of them without any pain and consequences, just remove the import line and delete files. The theme is highly customizable and you can easily replace any part of it by your needs.

## Documentation

*  [Getting started](docs/getting-started.md)
*  (outdated) [SCSS architecture](docs/scss-architecture.md)
*  (outdated) [Responsive guide](docs/responsive-guide.md)
*  [BrowserSync and LiveReload integration](docs/live-reload.md)
*  (outdated) [Tips, tricks and snippets](docs/tips-tricks-snippets.md)
*  [FontAwesome icon integration](docs/font-awesome.md)